#jinja2:lstrip_blocks: True
#
#
# Attention: If /etc/ltsp/dhcpd.conf exists, that will be used as
# configuration file instead of this file.
#
#



{% for subnet in dhcp_subnets %}
#
# {{ subnet.option.domain_name }} subnet definition
#
subnet {{ subnet.ip}} netmask {{ subnet.netmask }} {

  # The ddns-updates-style parameter controls whether or not the server will
  # attempt to do a DNS update when a lease is confirmed. We default to the
  # behavior of the version 2 packages ('none', since DHCP v2 didn't
  # have support for DDNS.)
  ddns-updates {{ ddns_updates }};
  ddns-update-style {{ ddns_update_style }};

  interface {{ subnet.interface }};

  # option definitions common to all supported networks...
  option subnet-mask {{ subnet.option.subnet_mask }};
  option routers {{ subnet.option.routers }};
  option domain-search {% for search in subnet.option.domain_search %}"{{ search }}"{% if loop.index == loop.length %};{% else %},{% endif %}
  {% endfor %}

  option netbios-name-servers {{ subnet.option.netbios_name_servers }};
  option netbios-node-type {{  subnet.option.netbios_node_type }};
  option domain-name-servers {{ subnet.option.domain_name_servers }};
  option domain-name "{{ subnet.option.domain_name }}";
  ddns-domainname "{{ subnet.ddns_domainname }}";
  ddns-rev-domainname "{{ subnet.ddns_rev_domainname }}";

  # This option points to the copy rndc.key we created for bind9.
  include "{{ sec_key }}";

  use-host-decl-names {{ use_host_decl_names }};

  default-lease-time {{ default_lease_time }};
  max-lease-time {{ max_lease_time }};

  # If this DHCP server is the official DHCP server for the local
  # network, the authoritative directive should be uncommented.
  {{ authoritative }};

  # Use this to send dhcp log messages to a different log file (you also
  # have to hack syslog.conf to complete the redirection).
  log-facility {{ log_facility }};

  omapi-port {{ omapi_port }};
  key omapi_key {
    algorithm HMAC-MD5;
    secret "{{ omapikey.secret }}"; #<-The output from the generated key above.
  };
  omapi-key omapi_key;

  # {{ subnet.option.domain_name }} DNS zones
  zone {{ subnet.ddns_domainname }} {
    primary {{ subnet.option.routers }}; # This server is the primary DNS server for the zone
    key rndc-key;       # Use the key we defined earlier for dynamic updates
  }

  zone {{ subnet.ddns_rev_domainname }} {
    primary {{ subnet.option.routers }}; # This server is the primary reverse DNS for the zone
    key rndc-key;       # Use the key we defined earlier for dynamic updates
  }

  {% for lpool in subnet.ranges %}
  # Clients get this pool
  pool {
    # failover peer "dhcp-failover";
    range {{ lpool.begin }} {{ lpool.end }};
    {{ lpool.auth }};
  }

  {% endfor %}
}

{% endfor %}
#
#
#  Hosts declarations
#
{% for node in mhosts %}
host {{ node.name }} {
  {% if node.netbios_name_servers is defined %}
  option netbios-name-servers {{ node.netbios_name_servers }};
  {% endif %}
  {% if node.domain_name_servers is defined %}
  option domain-name-servers {{ node.domain_name_servers }};
  {% endif %}
  {% if node.domain_search is defined %}
  option domain-search {{ node.domain_search }};
  {% endif %}
  hardware ethernet {{ node.mac }};
  {% if node.domain_name is defined %}
  {% set node_domain_name = node.domain_name %}
  {% endif %}
  fixed-address {{ node.name }}.{{ node_domain_name }};
}

{% endfor %}